### Method

# Camel DataCache set_expire_enabled

since: 3.24

#### Declaration [src]

    void
    camel_data_cache_set_expire_enabled (
      CamelDataCache* cdc,
      gboolean expire_enabled
    )

#### Description [src]

Sets whether expire of cache data is enabled.

This is a complementary property for `camel_data_cache_set_expire_age()` and camel_data_cache_set_expire_access(), which allows to disable expiry without touching the two values. Having expire enabled, but not have set any of the two times, still behaves like not having expiry enabled.

Available since: 3.24

Sets property | `Camel.DataCache:expire-enabled`

#### Parameters

`expire_enabled`

  Type: `gboolean`

  A value to set.